
(* start of data file d_ptoda.m *)

(* Toda Lattice with parameters *)

u[1][n_]'[t]:= aa*u[2][n-1][t] - u[2][n][t];
u[2][n_]'[t]:= u[2][n][t]*(bb*u[1][n][t] - u[1][n+1][t]);

noeqs = 2;
name = "Toda Lattice (parameterized)";
parameters = {aa,bb};
weightpars = {};

(* user can supply the rank of rho and a name for the output file *)
(* rhorank = 3; *)
(* myfile = "ptodar3.o"; *)

(* user can give the weights of u[1], u[2] *)
(* weightu[1] = 1; weightu[2] = 2; *)

formrho = 0;

(* user can give the form of rho. Here, for the density of rank 3: *)
(* formrho = c[1]*u[1][n][t]^3+c[2]*u[1][n][t]*u[2][n-1][t]+
             c[3]*u[1][n][t]*u[2][n][t]; *)

(* end of data file d_ptoda.m *)
